21.01.2019, 16:16 [+3 UTC]
в нашей команде: 3 342 чел. | участники онлайн: 10 (рекорд: 20)

РАССЫЛКИ ПОРТАЛА RFPRO.RU

Лучшие эксперты в разделе

Хватов Сергей
Статус: Академик
Рейтинг: 52
• повысить рейтинг »
Глебов Константин Андреевич
Статус: 1-й класс
Рейтинг: 1
• повысить рейтинг »
SAW
Статус: 6-й класс
Рейтинг: 0
• повысить рейтинг »

• Linux / UNIX

Номер выпуска:1384
Дата выхода:08.01.2019, 22:45
Администратор рассылки:Хватов Сергей (Академик)
Подписчиков / экспертов:35 / 17
Вопросов / ответов:3 / 10

Консультация # 46613: Здрысть! Установил себе 64-х разрядный SlackWare(x86_64 AMD Athlon(tm) 64 Processor 3000+ AuthenticAMD GNU/Linux). И столкнулся с проблемкой. Хотел установить файловый менеджер krusader. Пробовал поставить из пакета tgz. Ставится но не запускается вообще.Просто думает, а потом исчезает. После этого попробовал поставить из исходников, но тоже безрез...
Консультация # 67046: Мандрива 2007 Скачал драйвера для карточки ATI fglrx_4_3_0-8.32.5-1.i386.rpm Пытаюсь ставить - неудовлетворённые зависимости libexpat.so.1. Нашёл в Интернете libexpat.so.1. Сунул в /lib/ не удовлетворил зависимость. Засунул в /usr/lib/ , опять fglrx_4_3_0-8.32.5-1.i386.rpm осталась неудовлетворённой. В какое место запихать этот libexpat.so....
Консультация # 16921: Мне нужно собрать сервер для локалки .... ну что бы там был http server и другие основные возможности Linux или Unix etc Какой *nix дистрибутив мне лучше использовать , только что бы можно было его скачать с инета ... (ну типа что бы был не более ~100M) ......

Консультация # 46613:

Здрысть! Установил себе 64-х разрядный SlackWare(x86_64 AMD Athlon(tm) 64 Processor 3000+ AuthenticAMD GNU/Linux). И столкнулся с проблемкой. Хотел установить файловый менеджер krusader. Пробовал поставить из пакета tgz. Ставится но не запускается вообще.Просто думает, а потом исчезает. После этого попробовал поставить из исходников, но тоже безрезультатно. Выдает ошибку(см. прил). Можно ли как нибудь всетаки поставить его? И вообще, обычные программы можно ставить под эту ось из готовых пакетов tgz или хотя бы компилировать в ручную или нужно искать спец. заточенные под 64-х разрядную ось?

Дата отправки: 18.06.2006, 20:59
Вопрос задал: Endru
Всего ответов: 3
Страница онлайн-консультации »


Консультирует Стёпин Алексей Николаевич:

Здравствуйте, Endru!
Скорее всего у вас не хватает какой билиотеки. Каких библиотек не хватает можно проверить командой ldd <full_path>/krusader . Соответсвенно надо будет установить все нужные библиотеки.

Консультировал: Стёпин Алексей Николаевич
Дата отправки: 18.06.2006, 21:35
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует Мирошник Александр:

Здравствуйте, Endru!

вы походу не поставили kdelibs пакетик.... проверьте. он нужен для компиляции прог под КДЕ

Консультировал: Мирошник Александр
Дата отправки: 18.06.2006, 23:57
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует Cost:

Здравствуйте, Endru!
Предложу вариант, который позволит вам продиагностировать ситуацию. В Slackware есть очень полезная утилита strace - трассирует системные вызовы.
Как пользоваться этой утилитой вам подскажет man strace, ну или погуглиться можно.
Посредством этой утилиты вы можете продиагностировать вызовы и понять, почему не находятся библиотеки, которые "вроде" как присутствуют
Удачи вам в этом нелегком труде!!!! :)

Консультировал: Cost
Дата отправки: 20.06.2006, 19:01
Рейтинг ответа:

НЕ одобряю 0 одобряю!

Консультация # 67046:

Мандрива 2007
Скачал драйвера для карточки ATI fglrx_4_3_0-8.32.5-1.i386.rpm
Пытаюсь ставить - неудовлетворённые зависимости libexpat.so.1. Нашёл в Интернете libexpat.so.1. Сунул в /lib/ не удовлетворил зависимость. Засунул в /usr/lib/ , опять fglrx_4_3_0-8.32.5-1.i386.rpm осталась неудовлетворённой. В какое место запихать этот libexpat.so.1 чтобы fglrx_4_3_0-8.32.5-1.i386.rpm испытала счастье?
Я уже не первый раз пытаюсь пересесть на linux и всё время спотыкаюсь о подобные штуки. Эта система в принципе предназначена для работы, или чисто для онанизма!

Дата отправки: 15.12.2006, 04:26
Вопрос задал: Reseter
Всего ответов: 2
Страница онлайн-консультации »


Консультирует fragl:

Здравствуйте, Reseter! Вы не устраняете зависимость в базе rpm пакетов тем,что пытаетесь поместить libexpat.so.1 в папку /lib/ ,/usr/lib/ следует полностью установить пакет содержащий libexpat.so.1 вот так rpm -i *.rpm
далее если fglrx_4_3_0-8.32.5-1.i386.rpm больше не имеет зависимостей он установится !!!

Консультировал: fragl
Дата отправки: 15.12.2006, 06:05
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует PVS:

Здравствуйте, Reseter!
К предыдущему ответу могу добавить только то, что если Вы просто копируете libexpat.so.1, то Вы не мжете грантировать, что в итеме есть все, что необходимо для libexpat , потому его надо либо ставить из пакетов, либо собирать из исходников. Если же Вы 100% уверены, что все будет работать то устанавливайте драйвер так:
rpm -i fglrx_4_3_0-8.32.5-1.i386.rpm --nodeps

Консультировал: PVS
Дата отправки: 15.12.2006, 10:04
Рейтинг ответа:

НЕ одобряю 0 одобряю!

Консультация # 16921:

Мне нужно собрать сервер для локалки .... ну что бы там был http server и другие основные возможности Linux или Unix etc
Какой *nix дистрибутив мне лучше использовать , только что бы можно было его скачать с инета ... (ну типа что бы был не более ~100M) ...

Дата отправки: 12.02.2005, 04:42
Вопрос задал: Бойко Андрей Андреевич
Всего ответов: 5
Страница онлайн-консультации »


Консультирует yakimchuk:

Здравствуйте, Бойко Андрей Андреевич!
не больше 100Мб это я думаю вам надо качать древние версии. Или пойти в магазин (рынок) и купить. Насчет Linux и Unix это что вы лучше знаете или ваши знакомые, которые в случае необходимости смогут помочь.
Я использую FreeBSD, для установки нужен как минимум диск miniinstall, ну и возможно с инета качать потом нужные программы.

Консультировал: yakimchuk
Дата отправки: 12.02.2005, 07:23
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует Chief:

Здравствуйте, Бойко Андрей Андреевич!
В Системном Администраторе была неплохая статья по мини-дистрибутивам linux:
http://samag.ru/articles/9-03/

Консультировал: Chief
Дата отправки: 13.02.2005, 12:06
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует lupus campestris:

Здравствуйте, Бойко Андрей Андреевич!
Если он нужен только как веб-сервер, то в принципе можно любой использовать, какой тебе ближе. Может, проще сходить и купить какой-нибудь дистрибутив? На крайняк заказать по почте. smile Или искать небольшие дистрибутивы - можно или старые версии (но это совсем даже не желательно) или искать мини-дистрибутивы (вроде http://samag.ru/img/uploaded/2003/9/b9.pdf). Кстати, могу еще посоветовать OpenBSD (если не боишься) - там при установке устанавливается минимальный набор пакетов, а все остальное доставляется уже потом. Можешь скачать именно этот набор минимальных пакетов на openbsd.org. На самом деле, очень даже рекомендую, потом и с безопасностью проблем будет меньше.

Консультировал: lupus campestris
Дата отправки: 13.02.2005, 14:42
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует Sniffer:

Здравствуйте, Бойко Андрей Андреевич!
FteeBSD Lite (freedsd.org) (ито вряд ли она будет меньше 200) Хотя есть т.н. дискетные версии, но вряд ли все это вас устроит.
Это будет только минимально работающая система. Все остальное опять же надо будет доустанавливать из портов или пакетов...

Консультировал: Sniffer
Дата отправки: 14.02.2005, 07:40
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Консультирует _vt:

Здравствуйте, Бойко Андрей Андреевич!
Используй LFS - http://www.linuxfromscratch.org/ - соберешь сам то, что тебе нужно. И занимать будет столько, сколько нужно. Главное не переусердствовать с экономией трафика и качать самые свежие версии всех пакетов.

* EMan 2 beta: back in Black :)

Консультировал: _vt
Дата отправки: 14.02.2005, 11:56
Рейтинг ответа:

НЕ одобряю 0 одобряю!


Оценить выпуск | Задать вопрос экспертам

главная страница  |  стать участником  |  получить консультацию
техническая поддержка

Дорогой читатель!
Команда портала RFPRO.RU благодарит Вас за то, что Вы пользуетесь нашими услугами. Вы только что прочли очередной выпуск рассылки. Мы старались. Пожалуйста, оцените его. Если совет помог Вам, если Вам понравился ответ, Вы можете поблагодарить автора - для этого в каждом ответе есть специальные ссылки. Вы можете оставить отзыв о работе портале. Нам очень важно знать Ваше мнение. Вы можете поближе познакомиться с жизнью портала, посетив наш форум, почитав журнал, который издают наши эксперты. Если у Вас есть желание помочь людям, поделиться своими знаниями, Вы можете зарегистрироваться экспертом. Заходите - у нас интересно!
МЫ РАБОТАЕМ ДЛЯ ВАС!

Яндекс Rambler's Top100

главная страница | поддержка | задать вопрос

Время генерирования страницы: 0.10579 сек.

© 2001-2019, Портал RFPRO.RU, Россия
Калашников О.А.  |  Гладенюк А.Г.
Версия системы: 7.65 от 20.01.2019
Версия JS: 1.31 | Версия CSS: 3.35